import { PayloadAction } from '@reduxjs/toolkit';
import { RootState } from '../../app/store';
import { VirtualBackgroundModel } from './models';
import { VirtualBackgroundType } from '@zocks-communications/client-sdk-js';
export declare const virtualBackgroundSlice: import("@reduxjs/toolkit").Slice<VirtualBackgroundModel, {
    setCurrentVirtualBackground: (state: import("immer/dist/internal").WritableDraft<VirtualBackgroundModel>, action: PayloadAction<VirtualBackgroundType>) => void;
    clearCurrentVirtualBackground: (state: import("immer/dist/internal").WritableDraft<VirtualBackgroundModel>) => void;
}, "virtualBackground">;
export declare const setCurrentVirtualBackground: import("@reduxjs/toolkit").ActionCreatorWithPayload<VirtualBackgroundType, string>, clearCurrentVirtualBackground: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<string>;
export declare const selectCurrentVirtualBackground: (state: RootState) => VirtualBackgroundType | null;
declare const _default: import("redux").Reducer<VirtualBackgroundModel, import("redux").AnyAction>;
export default _default;
