import React from 'react'
import { ParticipantProps } from '../Participant'

export interface MultipleParticipantViewProps {
  pageSize?: number
  participantElement?: React.FC<ParticipantProps>
}

export interface ScreenShareViewProps extends MultipleParticipantViewProps {
  screenShareElement?: React.FC<ParticipantProps>
}

export interface ParticipantsProps {
  gridPageSize?: number
  speakerPageSize?: number
  screenSharePageSize?: number
  participantElement?: React.FC<ParticipantProps>
  screenShareElement?: React.FC<ParticipantProps>
}
