import { TranscriptionResult } from '@zocks-communications/client-sdk-js'

export interface ParticipantTranscriptModel {
  finalTranscripts: TranscriptionResult[]
  partialTranscript: TranscriptionResult | null
}

export interface SessionTranscriptModel {
  transcriptionServiceIsEnabled: boolean
  transcriptionServiceIsLoading: boolean
  transcriptionInProgress: boolean
  transcripts: { [id: string]: ParticipantTranscriptModel }
}
