import { ZocksSDK, Session, Participant, Track } from '@zocks-communications/client-sdk-js'

export const getSessionById = (sessionId?: string | null): Session | undefined => {
  if (!sessionId) {
    return
  }
  return ZocksSDK.getSessionById(sessionId)
}

export const getTrackById = (participant?: Participant, trackId?: string | null): Track | null => {
  return (participant && trackId && participant.tracks.find((t) => t.id === trackId)) || null
}
