import { LocalMediaStream, VirtualBackgroundType } from '@zocks-communications/client-sdk-js';
export declare const useLocalMedia: (videoEnabledByDefault?: boolean, audioEnabledByDefault?: boolean) => {
    currentAudioDeviceId: string | null;
    currentVideoDeviceId: string | null;
    localAudioStream: LocalMediaStream | undefined;
    localVideoStream: LocalMediaStream | undefined;
    videoStreamIsLoading: boolean;
    toggleLocalAudioStream: () => void;
    toggleLocalVideoStream: () => void;
    selectAudioDevice: (audioDevice: MediaDeviceInfo) => void;
    selectVideoDevice: (videoDevice: MediaDeviceInfo) => void;
};
export declare const useLocalVirtualBackgrounds: () => {
    availableVirtualBackgrounds: VirtualBackgroundType[];
    currentVirtualBackground: VirtualBackgroundType | null;
    virtualBackgroundIsLoading: boolean;
    virtualBackgroundStream: LocalMediaStream | undefined;
    changeVirtualBackground: (virtualBackgroundType: VirtualBackgroundType | null, deviceId?: string) => void;
    stopLocalVirtualBackground: () => void;
};
