import React from 'react'
import { SendButtonElementProps } from '../models'
import './SendButton.scss'

export const SendButton: React.FC<SendButtonElementProps> = ({ disabled, onClick, buttonText = 'Send' }) => (
  <button className='chat-input__send-button' disabled={disabled} onClick={onClick}>
    {buttonText}
  </button>
)
