import React from 'react'
import { ConnectionQuality } from '@zocks-communications/client-sdk-js'
import { ParticipantModel } from '../../store'

export interface ParticipantProps {
  participant: ParticipantModel
  withAudio?: boolean
  extensionElement?: React.FC<ParticipantExtensionProps>
}

export interface ParticipantExtensionProps {
  participantId: string | null
  participantName: string | null
  isLocal: boolean
  connectionQuality: ConnectionQuality
  isSpeaking: boolean
  videoIsMuted: boolean
  audioIsMuted: boolean
  isScreenSharing: boolean
}

export interface ScreenShareProps {
  participant: ParticipantModel
}
