import React from 'react'
import { useLeaveOnUnload, useZocksActions } from '../../store'
import './OneOnOneMeeting.scss'
import { OneOnOneParticipantView } from './OneOnOneParticipantView'

export const OneOnOneMeeting = () => {
  const { sessionActions, ...rest } = useZocksActions({
    apiBaseUrl: 'https://dev-api.zocks.io/v1',
    accountId: 'bd30t6ncf1xogv35',
    saveMediaEventsEnabled: false,
  })

  useLeaveOnUnload(sessionActions.leave)

  return (
    <div className='meeting'>
      <h1>Example</h1>
      <>
        <div style={{ width: '40%' }}>
          <OneOnOneParticipantView zocksActions={{ sessionActions, ...rest }} roomId={'4z6giwqpyme93miz'} />
        </div>
      </>
    </div>
  )
}
