import React from 'react'

import './Loader.css'

export const Loader: React.FC = () => {
  return (
    <div className='join-loader__loader-container'>
      <div className='join-loader__preloader'>
        <div className='join-loader__loading'>
          <div className='join-loader__outer'></div>
          <div className='join-loader__inner'></div>
          <div className='join-loader__hold join-loader__left'>
            <div className='join-loader__fill'></div>
          </div>
          <div className='join-loader__hold join-loader__right'>
            <div className='join-loader__fill'></div>
          </div>
        </div>
      </div>
    </div>
  )
}
